FUNCTION::NS_PPID(3stap)

NAME
function::ns_ppid - Returns the process ID of a target process's parent process as seen in a pid namespace

SYNOPSIS

    ns_ppid:long()

ARGUMENTS

None

DESCRIPTION

This function return the process ID of the target proccess's parent process as seen in the target pid namespace if provided, or the stap process namespace.

SEE ALSO
tapset::context(3stap)